Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining
Class AspectInfo

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.AspectInfo

    public class AspectInfo

extends Object

TODO docuemnt

Author:
  Alexandre Vasseur

Constructor Summary
`AspectInfo(AspectDefinition aspectDefinition, String aspectFieldName, String aspectClassName, String aspectClassSignature)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAspectClassName()`
`String` | `getAspectClassSignature()`
`AspectDefinition` | `getAspectDefinition()`
`String` | `getAspectFieldName()`
`String` | `getAspectQualifiedName()`
`DeploymentModel` | `getDeploymentModel()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectInfo

    public AspectInfo(AspectDefinition aspectDefinition,
                      String aspectFieldName,
                      String aspectClassName,
                      String aspectClassSignature)

Method Detail

### getAspectDefinition

    public AspectDefinition getAspectDefinition()

### getAspectClassName

    public String getAspectClassName()

### getAspectQualifiedName

    public String getAspectQualifiedName()

### getDeploymentModel

    public DeploymentModel getDeploymentModel()

### getAspectFieldName

    public String getAspectFieldName()

### getAspectClassSignature

    public String getAspectClassSignature()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.